WinShopAPI docs
ReferenceCompanies

Update an authorised person

Replaces one authorised person of the company and returns the stored row. Requires `Permissions.Companies.Update`.

PUT
/api/companies/{companyId}/authorized-persons/{authorizedPersonId}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

companyId*integer
Formatint32
authorizedPersonId*integer
Formatint32

Request Body

application/json
  1. body
companyId?|
Formatint32
email?|
Lengthlength <= 50
id?|
Formatint32
isInactive?boolean|null
name?|
Lengthlength <= 50
number?|
Lengthlength <= 80
phone?|
Lengthlength <= 20
shouldSendMailTo?boolean|null

Response Body

application/json
  1. response
companyId?|
Formatint32
email?|
Lengthlength <= 50
id?|
Formatint32
isInactive?boolean|null
name?|
Lengthlength <= 50
number?|
Lengthlength <= 80
phone?|
Lengthlength <= 20
shouldSendMailTo?boolean|null
curl -X PUT 'https://<your-instance>/api/companies/0/authorized-persons/0' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{  "companyId": 2,  "email": "[email protected]",  "id": 15,  "isInactive": true,  "name": "Updated AuthorizedPerson Name",  "number": "3210022",  "phone": "111222888",  "shouldSendMailTo": false}'
{  "companyId": 0,  "email": "string",  "id": 0,  "isInactive": true,  "name": "string",  "number": "string",  "phone": "string",  "shouldSendMailTo": true}